net.dontdrinkandroot.utils.lang

## Class SerializationUtils

- java.lang.Object
- - org.apache.commons.lang3.SerializationUtils
  - - net.dontdrinkandroot.utils.lang.SerializationUtils

    public class SerializationUtils
    extends org.apache.commons.lang3.SerializationUtils

### Constructor Summary

Constructors
Constructor and Description
`SerializationUtils()`

### Method Summary

Methods
`static <T extends Serializable> T` `fastClone(T object)`
`static byte[]` `serialize(Object obj)` Convenience method that does not require the input to implement Serializable.
`static void` `serialize(Object obj, OutputStream outputStream)` Convenience method that does not require the input to implement Serializable.

### Methods inherited from class org.apache.commons.lang3.SerializationUtils

`clone, deserialize, deserialize, serialize, serialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerializationUtils

    public SerializationUtils()

### Method Detail

#### fastClone

    public static <T extends Serializable> T fastClone(T object)

#### serialize

    public static void serialize(Object obj,
                 OutputStream outputStream)

Convenience method that does not require the input to implement Serializable. Of course it still needs to be serializable.

See Also:
  `SerializationUtils.serialize(Serializable, OutputStream)`

#### serialize

    public static byte[] serialize(Object obj)

Convenience method that does not require the input to implement Serializable. Of course it still needs to be serializable.

See Also:
  `SerializationUtils.serialize(Serializable)`